# Index

Symbols | C | L | T

## Symbols

--check-prefix prefix
  command line option
--check-prefixes prefix1,prefix2,...
  command line option
--config-prefix=NAME
  command line option
--debug
  command line option
--debug-syms, -a
  llvm-nm command line option
--defined-only
  llvm-nm command line option
--disable-excess-fp-precision
  command line option
--disable-fp-elim
  command line option
--dynamic, -D
  llvm-nm command line option
--enable-no-infs-fp-math
  command line option
--enable-no-nans-fp-math
  command line option
--enable-unsafe-fp-math
  command line option
--extern-only, -g
  llvm-nm command line option
--format=format, -f format
  llvm-nm command line option
--help
  llvm-cov-gcov command line option
--implicit-check-not check-pattern
  command line option
--input-file filename
  command line option
--load=<dso_path>
  command line option
--match-full-lines
  command line option
--max-tests=N
  command line option
--max-time=N
  command line option
--no-progress-bar
  command line option
--no-sort, -p
  llvm-nm command line option
--numeric-sort, -n, -v
  llvm-nm command line option
--path=PATH
  command line option
--print-file-name, -A, -o
  llvm-nm command line option
--print-machineinstrs
  command line option
--print-size, -S
  llvm-nm command line option
--radix=RADIX, -t
  llvm-nm command line option
--regalloc=<allocator>
  command line option
--show-suites
  command line option
--show-tests
  command line option
--show-unsupported
  command line option
--show-xfail
  command line option
--shuffle
  command line option
--size-sort
  llvm-nm command line option
--spiller=<spiller>
  command line option
--stats
  command line option
--strict-whitespace
  command line option
--time-passes
  command line option
--time-tests
  command line option
--undefined-only, -u
  llvm-nm command line option
--vg
  command line option
--vg-arg=ARG
  command line option
--vg-leak
  command line option
--x86-asm-syntax=[att|intel]
  command line option
-a, --all-blocks
  llvm-cov-gcov command line option
-a, --show-all
  command line option
-all-functions
  llvm-profdata-show command line option
-arch=<name>
  llvm-cov-export command line option
  llvm-cov-report command line option
  llvm-cov-show command line option
-asmparsernum N
  tblgen command line option
-asmwriternum N
  tblgen command line option
-B (default)
  llvm-nm command line option
-b, --branch-probabilities
  llvm-cov-gcov command line option
-binary (default)
  llvm-profdata-merge command line option
-c, --branch-counts
  llvm-cov-gcov command line option
-class className
  tblgen command line option
-code-model=model
  command line option
-counts
  llvm-profdata-show command line option
-d
  command line option
-D NAME, -D NAME=VALUE, --param NAME, --param NAME=VALUE
  command line option, [1]
-debug
  command line option
-debug-dump=section
  command line option
-default-arch
  command line option
-demangle
  command line option
-disable-excess-fp-precision
  command line option
-disable-inlining
  command line option
-disable-opt
  command line option
-disable-post-RA-scheduler
  command line option
-disable-spill-fusing
  command line option
-dsym-hint=<path/to/file.dSYM>
  command line option
-dump
  llvm-bcanalyzer command line option
-dyn-symbols
  command line option
-dynamic-table
  command line option
-elf-section-groups, -g
  command line option
-enable-no-infs-fp-math
  command line option
-enable-no-nans-fp-math
  command line option
-enable-unsafe-fp-math
  command line option
-expand-relocs
  command line option
-f
  command line option, [1]
-f, --function-summaries
  llvm-cov-gcov command line option
-fake-argv0=executable
  command line option
-file-headers, -h
  command line option
-filetype=<output file type>
  command line option
-force-interpreter={false,true}
  command line option
-format=<FORMAT>
  llvm-cov-show command line option
-function=string
  llvm-profdata-show command line option
-functions=[none|short|linkage]
  command line option
-gcc
  llvm-profdata-merge command line option
-gen-asm-matcher
  tblgen command line option
-gen-asm-writer
  tblgen command line option
-gen-dag-isel
  tblgen command line option
-gen-dfa-packetizer
  tblgen command line option
-gen-disassembler
  tblgen command line option
-gen-emitter
  tblgen command line option
-gen-enhanced-disassembly-info
  tblgen command line option

-gen-fast-isel
  tblgen command line option
-gen-instr-info
  tblgen command line option
-gen-intrinsic
  tblgen command line option
-gen-pseudo-lowering
  tblgen command line option
-gen-register-info
  tblgen command line option
-gen-subtarget
  tblgen command line option
-gen-tgt-intrinsic
  tblgen command line option
-h, --help
  command line option
-help
  command line option, [1], [2], [3], [4], [5]
  llvm-bcanalyzer command line option
  llvm-nm command line option
  llvm-profdata-merge command line option
  llvm-profdata-show command line option
  tblgen command line option
-I directory
  tblgen command line option
-inlining
  command line option
-input-files=path, -f=path
  llvm-profdata-merge command line option
-instr (default)
  llvm-profdata-merge command line option
  llvm-profdata-show command line option
-j N, --threads=N
  command line option
-jit-enable-eh
  command line option
-join-liveintervals
  command line option
-l, --long-file-names
  llvm-cov-gcov command line option
-line-coverage-gt=<N>
  llvm-cov-show command line option
-line-coverage-lt=<N>
  llvm-cov-show command line option
-load=<plugin>
  command line option
-load=pluginfilename
  command line option
-march=<arch>
  command line option
-march=arch
  command line option
-mattr=a1,+a2,-a3,...
  command line option, [1]
-mcpu=<cpuname>
  command line option
-mcpu=cpuname
  command line option
-meabi=[default|gnu|4|5]
  command line option
-mtriple=<target triple>
  command line option
-mtriple=target triple
  command line option
-n, --no-output
  llvm-cov-gcov command line option
-name-regex=<PATTERN>
  llvm-cov-show command line option
-name=<NAME>
  llvm-cov-show command line option
-needed-libs
  command line option
-nodetails
  llvm-bcanalyzer command line option
-nozero-initialized-in-bss
  command line option
-num-threads=N, -j=N
  llvm-profdata-merge command line option
-o <filename>
  command line option
-o filename
  command line option, [1]
  tblgen command line option
-o=<DIR|FILE>, --object-directory=<DIR>, --object-file=<FILE>
  llvm-cov-gcov command line option
-O=uint
  command line option
-obj
  command line option
-output-dir=PATH
  llvm-cov-show command line option
-output=output, -o=output
  llvm-profdata-merge command line option
  llvm-profdata-show command line option
-P
  llvm-nm command line option
-p
  command line option
-p, --preserve-paths
  llvm-cov-gcov command line option
-pre-RA-sched=scheduler
  command line option
-pretty-print
  command line option
-print-address
  command line option
-print-enums
  tblgen command line option
-print-records
  tblgen command line option
-print-sets
  tblgen command line option
-program-headers
  command line option
-q, --quiet
  command line option
-regalloc=allocator
  command line option
-region-coverage-gt=<N>
  llvm-cov-show command line option
-region-coverage-lt=<N>
  llvm-cov-show command line option
-relocation-model=model
  command line option
-relocations, -r
  command line option
-S
  command line option, [1]
-s, --succinct
  command line option
-sample
  llvm-profdata-merge command line option
  llvm-profdata-show command line option
-section-data, -sd
  command line option
-section-relocations, -sr
  command line option
-section-symbols, -st
  command line option
-sections, -s
  command line option
-seed seed
  command line option
-show-expansions
  llvm-cov-show command line option
-show-instantiations
  llvm-cov-show command line option
-show-line-counts
  llvm-cov-show command line option
-show-line-counts-or-regions
  llvm-cov-show command line option
-show-regions
  llvm-cov-show command line option
-size size
  command line option
-soft-float
  command line option
-sparse[=true|false]
  llvm-profdata-merge command line option
-spiller
  command line option
-stats
  command line option, [1]
-strip-debug
  command line option
-symbols, -t
  command line option
-tab-size=<TABSIZE>
  llvm-cov-show command line option
-text
  llvm-profdata-merge command line option
  llvm-profdata-show command line option
-time-passes
  command line option, [1]
-u, --unconditional-branches
  llvm-cov-gcov command line option
-unwind, -u
  command line option
-use-color[=VALUE]
  llvm-cov-report command line option
  llvm-cov-show command line option
-use-symbol-table
  command line option
-v
  command line option
-v, --verbose
  command line option
-verify
  llvm-bcanalyzer command line option
-verify-each
  command line option
-version
  command line option, [1], [2]
  llvm-cov-gcov command line option
  tblgen command line option
-weighted-input=weight,filename
  llvm-profdata-merge command line option
-x86-asm-syntax=syntax
  command line option
-Xdemangler=<TOOL>|<TOOL-OPTION>
  llvm-cov-show command line option
-{passname}
  command line option

## C

command line option
  --check-prefix prefix
  --check-prefixes prefix1,prefix2,...
  --config-prefix=NAME
  --debug
  --disable-excess-fp-precision
  --disable-fp-elim
  --enable-no-infs-fp-math
  --enable-no-nans-fp-math
  --enable-unsafe-fp-math
  --implicit-check-not check-pattern
  --input-file filename
  --load=<dso_path>
  --match-full-lines
  --max-tests=N
  --max-time=N
  --no-progress-bar
  --path=PATH
  --print-machineinstrs
  --regalloc=<allocator>
  --show-suites
  --show-tests
  --show-unsupported
  --show-xfail
  --shuffle
  --spiller=<spiller>
  --stats
  --strict-whitespace
  --time-passes
  --time-tests
  --vg
  --vg-arg=ARG
  --vg-leak
  --x86-asm-syntax=[att|intel]
  -D NAME, -D NAME=VALUE, --param NAME, --param NAME=VALUE, [1]
  -O=uint
  -S, [1]
  -a, --show-all
  -code-model=model
  -d
  -debug
  -debug-dump=section
  -default-arch
  -demangle
  -disable-excess-fp-precision
  -disable-inlining
  -disable-opt
  -disable-post-RA-scheduler
  -disable-spill-fusing
  -dsym-hint=<path/to/file.dSYM>
  -dyn-symbols
  -dynamic-table
  -elf-section-groups, -g
  -enable-no-infs-fp-math
  -enable-no-nans-fp-math
  -enable-unsafe-fp-math
  -expand-relocs
  -f, [1]
  -fake-argv0=executable
  -file-headers, -h
  -filetype=<output file type>
  -force-interpreter={false,true}
  -functions=[none|short|linkage]
  -h, --help
  -help, [1], [2], [3], [4], [5]
  -inlining
  -j N, --threads=N
  -jit-enable-eh
  -join-liveintervals
  -load=<plugin>
  -load=pluginfilename
  -march=<arch>
  -march=arch
  -mattr=a1,+a2,-a3,..., [1]
  -mcpu=<cpuname>
  -mcpu=cpuname
  -meabi=[default|gnu|4|5]
  -mtriple=<target triple>
  -mtriple=target triple
  -needed-libs
  -nozero-initialized-in-bss
  -o <filename>
  -o filename, [1]
  -obj
  -p
  -pre-RA-sched=scheduler
  -pretty-print
  -print-address
  -program-headers
  -q, --quiet
  -regalloc=allocator
  -relocation-model=model
  -relocations, -r
  -s, --succinct
  -section-data, -sd
  -section-relocations, -sr
  -section-symbols, -st
  -sections, -s
  -seed seed
  -size size
  -soft-float
  -spiller
  -stats, [1]
  -strip-debug
  -symbols, -t
  -time-passes, [1]
  -unwind, -u
  -use-symbol-table
  -v
  -v, --verbose
  -verify-each
  -version, [1], [2]
  -x86-asm-syntax=syntax
  -{passname}

## L

llvm-bcanalyzer command line option
  -dump
  -help
  -nodetails
  -verify
llvm-cov-export command line option
  -arch=<name>
llvm-cov-gcov command line option
  --help
  -a, --all-blocks
  -b, --branch-probabilities
  -c, --branch-counts
  -f, --function-summaries
  -l, --long-file-names
  -n, --no-output
  -o=<DIR|FILE>, --object-directory=<DIR>, --object-file=<FILE>
  -p, --preserve-paths
  -u, --unconditional-branches
  -version
llvm-cov-report command line option
  -arch=<name>
  -use-color[=VALUE]

llvm-cov-show command line option
  -Xdemangler=<TOOL>|<TOOL-OPTION>
  -arch=<name>
  -format=<FORMAT>
  -line-coverage-gt=<N>
  -line-coverage-lt=<N>
  -name-regex=<PATTERN>
  -name=<NAME>
  -output-dir=PATH
  -region-coverage-gt=<N>
  -region-coverage-lt=<N>
  -show-expansions
  -show-instantiations
  -show-line-counts
  -show-line-counts-or-regions
  -show-regions
  -tab-size=<TABSIZE>
  -use-color[=VALUE]
llvm-nm command line option
  --debug-syms, -a
  --defined-only
  --dynamic, -D
  --extern-only, -g
  --format=format, -f format
  --no-sort, -p
  --numeric-sort, -n, -v
  --print-file-name, -A, -o
  --print-size, -S
  --radix=RADIX, -t
  --size-sort
  --undefined-only, -u
  -B (default)
  -P
  -help
llvm-profdata-merge command line option
  -binary (default)
  -gcc
  -help
  -input-files=path, -f=path
  -instr (default)
  -num-threads=N, -j=N
  -output=output, -o=output
  -sample
  -sparse[=true|false]
  -text
  -weighted-input=weight,filename
llvm-profdata-show command line option
  -all-functions
  -counts
  -function=string
  -help
  -instr (default)
  -output=output, -o=output
  -sample
  -text

## T

tblgen command line option
  -I directory
  -asmparsernum N
  -asmwriternum N
  -class className
  -gen-asm-matcher
  -gen-asm-writer
  -gen-dag-isel
  -gen-dfa-packetizer
  -gen-disassembler
  -gen-emitter
  -gen-enhanced-disassembly-info
  -gen-fast-isel
  -gen-instr-info
  -gen-intrinsic
  -gen-pseudo-lowering
  -gen-register-info
  -gen-subtarget
  -gen-tgt-intrinsic
  -help
  -o filename
  -print-enums
  -print-records
  -print-sets
  -version